<?php

namespace Magento\FirstDataGateway\Block;

class RedoPay extends \Magento\Framework\View\Element\Template
{	
	protected $scopeConfig;
	protected $cdhelper;
	protected $visible = false;
	
	public function __construct(
		\Magento\Framework\View\Element\Template\Context $context,
		\Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
	    \Magento\FirstDataGateway\Helper\Cdata $cdhelper
	)
	{
		$this->scopeConfig = $scopeConfig;
		$this->cdhelper = $cdhelper;
		parent::__construct($context);
	}

	public function getGatewayUrl() {
		return $this->scopeConfig->getValue('payment/firstdata_gateway/gateway');
	}

	public function isVisible() {
		return false;
	}
	
}

?>